[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TRect.Equals

Do the corners of the rectangles match

## Declaration

Source position: objects.pp line 245

`function TRect.Equals(`
`R: TRect`
`):Boolean;`

## Description

Equals returns True if the rectangle has the same corner points A,B as the rectangle R, and False otherwise.

For an example, see TRect.Empty

## Errors

None.

## See also

TRect.Empty |  | Is the surface of the rectangle zero
TRect.Contains |  | Determine if a point is inside the rectangle